Page MenuHomePhabricator

Upload broken after upgrade to 1.23
Closed, ResolvedPublic

Description

In Support Desk (https://www.mediawiki.org/wiki/Project:Support_desk) we have at least 3 reports of broken upload functionallity after upgrading to MW 1.23.

Two with error message, that popen is disabled (introduced line 702 in FSFileBackend in REL1_23 https://github.com/wikimedia/mediawiki-core/blob/REL1_23/includes/filebackend/FSFileBackend.php#L702 ):
https://www.mediawiki.org/wiki/Project:Support_desk#Upload_system_differences_between_1.22.7_and_1.23.0_43943
https://www.mediawiki.org/wiki/Project:Support_desk#Cannot_upload_files_since_the_update_from_1.22.7_to_1.23._43983

And this one:
https://www.mediawiki.org/wiki/Project:Support_desk#image.2Ffile_upload_broken_after_upgrade_from_MW_1.19_to_MW_1.23_43912

The users can not activate popen, because they are on a shared host. Maybe another solution or an notice in changelog, that popen must be enabled for this and future relases.


Version: 1.23.0
Severity: normal

Details

Reference
bz66467

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:18 AM
bzimport set Reference to bz66467.
bzimport added a subscriber: Unknown Object (MLST).
Florian created this task.Jun 11 2014, 10:19 AM

Also see bug 66349 about proc_open() and thumbnail generation.

safe_mode was mentioned on support desk already, but I'd be more interested in getting to know if those functions are listed in "disable_functions" in php.ini.

From my current interpretation of things, this ticket will become WONTFIX / INVALID.

@Andre: totally Agree!

Created attachment 15655
Backtrace of error

Attached:

nuess0r wrote:

I'm one of this users who has problems with uploads after the upgrade (http://www.mediawiki.org/w/index.php?title=Project:Support_desk&offset=20140613133023&limit=20#image.2Ffile_upload_broken_after_upgrade_from_MW_1.19_to_MW_1.23_43912)

We are running our own servers. So I can help you with debugging and testing out new code.

As I wrote in the support desk question, my Apache2 is running with mod_chroot enabled and everything is working fine besides the upload (and I can't find any error or warnings in the logs or the debug output.)

Change 140383 had a related patch set uploaded by Florianschmidtwelzow:
Fix for FileOpBatch.php

https://gerrit.wikimedia.org/r/140383

Change 140383 had a related patch set uploaded by Paladox:
Fix for FileOpBatch.php

https://gerrit.wikimedia.org/r/140383

aaron added a comment.Jun 18 2014, 5:02 PM

popen() would only be used with 'parallelize' set to 'implicit' or 'explicit'. The default is 'off'. Did you change the config from defaults?

aaron added a comment.Jun 18 2014, 5:07 PM

(In reply to Aaron Schulz from comment #9)

popen() would only be used with 'parallelize' set to 'implicit' or
'explicit'. The default is 'off'. Did you change the config from defaults?

Ah nevermind, I think I see what's going on here.

Change 140406 had a related patch set uploaded by Aaron Schulz:
Avoid using popen() when "parallelize" is disabled

https://gerrit.wikimedia.org/r/140406

Change 140416 had a related patch set uploaded by Aaron Schulz:
Avoid using popen() when "parallelize" is disabled

https://gerrit.wikimedia.org/r/140416

Change 140416 had a related patch set uploaded by Krinkle:
Avoid using popen() when "parallelize" is disabled

https://gerrit.wikimedia.org/r/140416

Change 140406 had a related patch set uploaded by Krinkle:
filebackend: Avoid using popen() when "parallelize" is disabled

https://gerrit.wikimedia.org/r/140406

Change 140406 merged by jenkins-bot:
filebackend: Avoid using popen() when "parallelize" is disabled

https://gerrit.wikimedia.org/r/140406

Change 140416 merged by jenkins-bot:
filebackend: Avoid using popen() when "parallelize" is disabled

https://gerrit.wikimedia.org/r/140416

Change 140383 abandoned by Aaron Schulz:
Fix for FileOpBatch.php

Reason:
The required part of this was merged into core and REL1_23. Thanks.

https://gerrit.wikimedia.org/r/140383

nuess0r wrote:

I applied this patch now to my installation. Fileupload seems to work now.

All patches merged (or abandoned) hence assuming this is FIXED.
Thanks everybody for helping tracking this down.

  • Bug 66349 has been marked as a duplicate of this bug. ***
  • Bug 67744 has been marked as a duplicate of this bug. ***

cardan23487 wrote:

I can't understand how I can use a PATCH_TO_REVIEW for solve the problem of proc_open()

  • Bug 67744 has been marked as a duplicate of this bug. ***

The last comment does not make any sense, and I have already explained in bug 67744 how to find the patch / code fix for this problem.

Gilles triaged this task as Unbreak Now! priority.Dec 4 2014, 10:11 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to Needs Triage.Dec 4 2014, 11:23 AM